// Project Sword & Gun Copyright © 2021 Kevin Poretti

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "Weapons/SNGMeleeWeaponBase.h"

#include "SNGWeaponUserInterface.generated.h"

// This class does not need to be modified.
UINTERFACE(MinimalAPI, BlueprintType)
class USNGWeaponUserInterface : public UInterface
{
	GENERATED_BODY()
};

/**
 *	Interface for interacting with things that use a SNGWeaponBase actor
 */
class SWORDNGUN_API ISNGWeaponUserInterface
{
	GENERATED_BODY()

public:
	/**
	 *	Gets the current weapon the implementer has equipped.
	 */
	UFUNCTION()
	virtual ASNGWeaponBase* GetCurrentWeapon()=0;
};
